# GET A DOCUMENT

Retrieves a request's associated document in Base64 format.

Endpoint: POST /api/v1/requests/{id}/pl_get_document
Version: v1

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Request

## Request fields (multipart/form-data):

  - `type` (string, required)
    The type of the document to be retrieved
    Enum: "document_front", "document_rear", "document_owner", "extra_document", "contract", "signed_contract"

  - `rao_id` (string, required)
    The rao id number. This field is required only if request status is CREATED or VIDEOREVIEW

## Response 200 fields (application/json):

  - `pk` (string)
    The request id

  - `document` (string)
    The document content in Base64 format

  - `type` (string)
    The document type

## Response 404 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message


